import { BaseXform } from "../base-xform.js";
class WorkbookPropertiesXform extends BaseXform {
    render(xmlStream, model) {
        xmlStream.leafNode("workbookPr", {
            date1904: model.date1904 ? 1 : undefined,
            // Excel doesn't output defaultThemeVersion
            filterPrivacy: 1
        });
    }
    parseOpen(node) {
        if (node.name === "workbookPr") {
            this.model = {
                date1904: node.attributes.date1904 === "1"
            };
            return true;
        }
        return false;
    }
    parseText() { }
    parseClose() {
        return false;
    }
}
export { WorkbookPropertiesXform };
